#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 th-expand-syns
version:              0.4.12.0
visibility:           public
id:                   th-expand-syns-0.4.12.0-7rzCQjZx94u1UA1vekGLIc
key:                  th-expand-syns-0.4.12.0-7rzCQjZx94u1UA1vekGLIc
license:              BSD-3-Clause
maintainer:           Ryan Scott <ryan.gl.scott@gmail.com>
author:               Daniel Schüssler
homepage:             https://github.com/DanielSchuessler/th-expand-syns
synopsis:             Expands type synonyms in Template Haskell ASTs
description:
    Expands type synonyms in Template Haskell ASTs.

    As of version @0.4.9.0@, this library is a small shim on
    top of the @applySubstitution@/@resolveTypeSynonyms@
    functions from @th-abstraction@, so you may want to
    consider using @th-abstraction@ instead.

category:             Template Haskell
abi:                  71d7b8d0f0cb0739bf7bccc28f9e8e9f
exposed:              True
exposed-modules:      Language.Haskell.TH.ExpandSyns
import-dirs:          /usr/lib/ghc-9.4.8/site-local/th-expand-syns-0.4.12.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/th-expand-syns-0.4.12.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/th-expand-syns-0.4.12.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-th-expand-syns
hs-libraries:         HSth-expand-syns-0.4.12.0-7rzCQjZx94u1UA1vekGLIc
depends:
    base-4.17.2.1 containers-0.6.7 syb-0.7.2.4-DRmRuYXhogH1Si3eC7RXHC
    template-haskell-2.19.0.0
    th-abstraction-0.5.0.0-BROQwjXmGCt8uLmQUfLqOy

haddock-interfaces:
    /usr/share/doc/haskell-th-expand-syns/html/th-expand-syns.haddock

haddock-html:         /usr/share/doc/haskell-th-expand-syns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

